Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.svg
Class InkscapeLoader

    java.lang.Object
      org.newdawn.slick.svg.InkscapeLoader

All Implemented Interfaces:
  Loader

    public class InkscapeLoader

extends java.lang.Object
implements Loader

A loader specifically for the SVG that is produced from Inkscape

Author:
  kevin

Field Summary
`static int` | `RADIAL_TRIANGULATION_LEVEL` The number of times to over trigulate to get enough tesselation for smooth shading

Method Summary
`static void` | `addElementProcessor(ElementProcessor proc)` Add an `ElementProcessor` which will be passed each element read as the Inkscape SVG document is processed.
`static Diagram` | `load(java.io.InputStream in, boolean offset)` Load a SVG document into a diagram
`static Diagram` | `load(java.lang.String ref)` Load a SVG document into a diagram
`static Diagram` | `load(java.lang.String ref, boolean offset)` Load a SVG document into a diagram
`void` | `loadChildren(org.w3c.dom.Element element, Transform t)` Load the children of a given element

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RADIAL_TRIANGULATION_LEVEL

    public static int RADIAL_TRIANGULATION_LEVEL

  The number of times to over trigulate to get enough tesselation for smooth shading

Method Detail

### addElementProcessor

    public static void addElementProcessor(ElementProcessor proc)

  Add an `ElementProcessor` which will be passed each element read as the Inkscape SVG document is processed.

  Parameters:
    `proc` - The processor to be added

### load

    public static Diagram load(java.lang.String ref,
                               boolean offset)
                        throws SlickException

  Load a SVG document into a diagram

  Parameters:
    `ref` - The reference in the classpath to load the diagram from
    `offset` - Offset the diagram for the height of the document
  Returns:
    The diagram loaded
  Throws:
    `SlickException` - Indicates a failure to process the document

### load

    public static Diagram load(java.lang.String ref)
                        throws SlickException

  Load a SVG document into a diagram

  Parameters:
    `ref` - The reference in the classpath to load the diagram from
  Returns:
    The diagram loaded
  Throws:
    `SlickException` - Indicates a failure to process the document

### load

    public static Diagram load(java.io.InputStream in,
                               boolean offset)
                        throws SlickException

  Load a SVG document into a diagram

  Parameters:
    `offset` - Offset the diagram for the height of the document
    `in` - The input stream from which to read the SVG
  Returns:
    The diagram loaded
  Throws:
    `SlickException` - Indicates a failure to process the document

### loadChildren

    public void loadChildren(org.w3c.dom.Element element,
                             Transform t)
                      throws ParsingException

  Description copied from interface: `Loader`
  Load the children of a given element

  Specified by:
    `loadChildren` in interface `Loader`
  Parameters:
    `element` - The element whose children should be loaded
    `t` - The transform to apply to all the children
  Throws:
    `ParsingException` - Indicates a failure to read the XML
  See Also:
    `Loader.loadChildren(org.w3c.dom.Element, org.newdawn.slick.geom.Transform)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.